import {
  a as n,
  c as a
} from "./chunk-IO47FP3U.js";

// ../node_modules/highlight.js/lib/languages/dockerfile.js
var o = a((s, r) => {
  function i(e) {
    return {
      name: "Dockerfile",
      aliases: ["docker"],
      case_insensitive: !0,
      keywords: "from maintainer expose env arg user onbuild stopsignal",
      contains: [
        e.HASH_COMMENT_MODE,
        e.APOS_STRING_MODE,
        e.QUOTE_STRING_MODE,
        e.NUMBER_MODE,
        {
          beginKeywords: "run cmd entrypoint volume add copy workdir label healthcheck shell",
          starts: {
            end: /[^\\]$/,
            subLanguage: "bash"
          }
        }
      ],
      illegal: "</"
    };
  }
  n(i, "dockerfile");
  r.exports = i;
});

export {
  o as a
};
